Bug 141445 - Firefox has no keybinding prefs in widgets in non-gnome environment
Firefox has no keybinding prefs in widgets in non-gnome environment
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 00:12 EST by John W. Lockhart
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 10:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John W. Lockhart 2004-12-01 00:12:03 EST
Description of problem:

Pressing Ctrl-K shifts the cursor rather than deleting to the end of the
line in the URL text widget, even though my preferences are for Emacs keybindings.

Version-Release number of selected component (if applicable):

fireforx-1.0-2.fc3

How reproducible:

1. Ensure that /desktop/gnome/interface/gtk_key_theme is set to Emacs (use
gconf-editor or gconftool).

2. Reboot.  Or logout and kill any lingering processes.

3. Start a KDE session.  Probably reproducable with other non-Gnome sessions,
but I've reproduced it fine with KDE.

4. Launch Firefox from the menu on the taskbar.  Click in the middle of the URL
bar, and press Ctrl-K.  Watch as your cursor appears in the Google/Search box
instead of deleting the section of text to the right of the cursor.  Cuss
(optional). :-)

5. Quit Firefox.  

6. Launch gnome-keyboard-properties.  Exit.

7. Re-launch Firefox, and re-try step 4.  Note that the text is deleted as expected.

8. Have a look at processes that were started ("ps aux" in a terminal). 
gconfd-2, bonobo-activation-server, gnome-settings-daemon are now running.
One or more of these is necessary for the correct behavior of firefox.

9. The firefox startup script should ensure that any required gnomecentric
helpers are running.

Actual results:
Bad keybindings.

Expected results:
Emacs keybindings.

Additional info:
As much fun to track down as it was to read :-)
Comment 1 Enrico Scholz 2004-12-03 19:06:21 EST
Please note, that gnome-settings-daemon has nasty side-effects in
non-Gnome environments. E.g. it overrides your keyboard-setup
(~/.Xmodmap) and X-application configuration (~/.Xresources).

Because firefox is/should be a non-Gnome application, it should run
reasonably without such intrusive helper apps.
Comment 2 Trevin Beattie 2005-04-19 02:21:47 EDT
I've noticed this bug too in RHEL WS 3 under Gnome, and I haven't been able to
find a workaround for it.  After searching the web, it looks like this bug is
actually a "feature" that Mozilla themselves put into Firefox since version
1.0.1.  I'd hate to have to go through all of the diffs between the source code
for version 1.0 (which I have installed) and 1.0.3 (which I've just built but
haven't installed yet) just to find out where they changed the key bindings,
because there is sure to be a ton of other differences.  OTOH, I can't stand
having the text cursor jump out of the page every time I try to delete a text field.

Probably a good place to start hunting down this bug is in one of the .xml files
that contains "<bindings>" tags.
Comment 3 Matthew Miller 2006-07-10 19:35:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-11-05 10:49:50 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 5 Trevin Beattie 2006-11-05 12:47:21 EST
Just for the record, in case anyone else has trouble with this, I believe the
issue was solved be running gconf-editor and changing (or adding) the key
/desktop/gnome/interface/gtk_key_theme to "Emacs".

Note You need to log in before you can comment on or make changes to this bug.